> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List bank transactions

> Returns a list of bank transactions for the specified business.

Transactions can be filtered by:

* Date range ([start\_date](/api-reference/v1/list-bank-transactions#parameter-start-date), [end\_date](/api-reference/v1/list-bank-transactions#parameter-end-date))
* Direction ([direction](/api-reference/v1/list-bank-transactions#parameter-direction))
* Categorization status ([categorization\_status](/api-reference/v1/list-bank-transactions#parameter-categorization-status), [categorized](/api-reference/v1/list-bank-transactions#parameter-categorized), [is\_matched](/api-reference/v1/list-bank-transactions#parameter-is-matched))
* Category ([category](/api-reference/v1/list-bank-transactions#parameter-category))
* Amount range ([amount\_min](/api-reference/v1/list-bank-transactions#parameter-amount-min), [amount\_max](/api-reference/v1/list-bank-transactions#parameter-amount-max))
* Description ([description\_filter](/api-reference/v1/list-bank-transactions#parameter-description-filter), [description\_filter\_regex](/api-reference/v1/list-bank-transactions#parameter-description-filter-regex))
* Merchant name ([merchant\_name\_filter](/api-reference/v1/list-bank-transactions#parameter-merchant-name-filter), [merchant\_name\_filter\_regex](/api-reference/v1/list-bank-transactions#parameter-merchant-name-filter-regex))
* Memo ([memo](/api-reference/v1/list-bank-transactions#parameter-memo), [memo\_contains](/api-reference/v1/list-bank-transactions#parameter-memo-contains))
* Reference number ([reference\_number](/api-reference/v1/list-bank-transactions#parameter-reference-number), [reference\_numbers](/api-reference/v1/list-bank-transactions#parameter-reference-numbers))
* External account ([external\_account\_ids](/api-reference/v1/list-bank-transactions#parameter-external-account-ids))
* External transaction ID ([external\_ids](/api-reference/v1/list-bank-transactions#parameter-external-ids))
* Customer ([customer\_id](/api-reference/v1/list-bank-transactions#parameter-customer-id), [customer\_external\_id](/api-reference/v1/list-bank-transactions#parameter-customer-external-id))
* Vendor ([vendor\_id](/api-reference/v1/list-bank-transactions#parameter-vendor-id), [vendor\_external\_id](/api-reference/v1/list-bank-transactions#parameter-vendor-external-id))
* Counterparty ([counterparty\_id](/api-reference/v1/list-bank-transactions#parameter-counterparty-id), [has\_counterparty](/api-reference/v1/list-bank-transactions#parameter-has-counterparty))
* Tag ([tag\_key](/api-reference/v1/list-bank-transactions#parameter-tag-key), [tag\_values](/api-reference/v1/list-bank-transactions#parameter-tag-values))
* Free-text search ([q](/api-reference/v1/list-bank-transactions#parameter-q))

## Filtering by categorization status

Transactions can be categorized in three ways:

* [Standard categorization](/api-reference/v1/categorize-bank-transaction#category)
* [Split transactions](/api-reference/v1/categorize-bank-transaction#split-categorizations)
* [Matched transactions](/api-reference/v1/match-bank-transaction)

To filter categorized vs. uncategorized transactions (e.g. get all uncategorized transactions), we recommend you use the [categorized](/api-reference/v1/list-bank-transactions#parameter-categorized) query parameter.

To filter categorized based on their categorization status, we recommend you use the [categorization\_status](/api-reference/v1/list-bank-transactions#parameter-categorization-status) query parameter.

## Sorting

You can use [sort\_by](/api-reference/v1/list-bank-transactions#parameter-sort-by) query parameter to sort transactions by `date`, `amount`, `counterparty name`, or `description`. This defaults sorting by `date` in ascending order.

You can use [sort\_order](/api-reference/v1/list-bank-transactions#parameter-sort-order) query parameter to sort transactions in ascending or descending order. This defaults to ascending order.

## Pagination

See [Pagination](/api-details/pagination) for cursor and limit behavior.


## OpenAPI

````yaml get /v1/businesses/{businessId}/bank-transactions
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/bank-transactions:
    get:
      tags: []
      summary: List bank transactions
      description: Returns a list of bank transactions for the specified business.
      operationId: business.bank-transactions.get
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to fetch bank transactions for.
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json.
          schema:
            type: string
        - name: reference_number
          in: query
          description: >-
            Filter by exact reference number match. Returns only records with
            this exact reference number.
          required: false
          schema:
            type: string
        - name: reference_numbers
          in: query
          description: >-
            Comma-separated list of reference numbers to filter transactions.
            Only transactions with reference numbers matching any value in this
            list will be returned.
          required: false
          schema:
            type: string
        - name: start_date
          in: query
          description: The start date of the transaction range to fetch.
          required: false
          schema:
            type: string
            format: date-time
        - name: end_date
          in: query
          description: The end date of the transaction range to fetch.
          required: false
          schema:
            type: string
            format: date-time
        - name: direction
          in: query
          description: The direction of the transaction to fetch.
          required: false
          schema:
            type: string
            enum:
              - INFLOW
              - OUTFLOW
        - name: categorization_status
          in: query
          description: >-
            The categorization status of the transaction to fetch. If you wish
            to see all uncategorized transactions, see `categorized=false` query
            parameter.
          required: false
          schema:
            type: string
            enum:
              - PENDING
              - READY_FOR_INPUT
              - CATEGORIZED
              - SPLIT
              - MATCHED
        - name: amount_min
          in: query
          description: The minimum amount of the transaction to fetch.
          required: false
          schema:
            type: integer
            format: int64
        - name: amount_max
          in: query
          description: The maximum amount of the transaction to fetch.
          required: false
          schema:
            type: integer
            format: int64
        - name: description_filter
          in: query
          description: >-
            Case-insensitive substring to search for in transaction descriptions
            (contains match, not exact equality).
          required: false
          schema:
            type: string
        - name: description_filter_regex
          in: query
          description: >-
            Regex to search for in description transactions. Regex will be
            parsed exactly as given and an error will be returned if the regex
            is invalid.
          required: false
          schema:
            type: string
        - name: external_account_ids
          in: query
          description: >-
            Comma-separated list of external account (e.g. Plaid account) IDs.
            This will filter for bank transactions within the provided list of
            accounts.
          required: false
          schema:
            type: string
        - name: memo
          in: query
          description: Filter transactions by exact memo match.
          required: false
          schema:
            type: string
        - name: memo_contains
          in: query
          description: Filter transactions where memo contains this substring.
          required: false
          schema:
            type: string
        - name: customer_id
          in: query
          description: UUID of the customer to filter transactions by.
          required: false
          schema:
            type: string
            format: uuid
        - name: customer_external_id
          in: query
          description: External ID of the customer to filter transactions by.
          required: false
          schema:
            type: string
        - name: vendor_id
          in: query
          description: UUID of the vendor to filter transactions by.
          required: false
          schema:
            type: string
            format: uuid
        - name: vendor_external_id
          in: query
          description: External ID of the vendor to filter transactions by.
          required: false
          schema:
            type: string
        - name: is_matched
          in: query
          description: >-
            Filter transactions by whether they are matched (true) or not
            matched (false).
          required: false
          schema:
            type: boolean
        - name: category
          in: query
          description: Filter transactions by category identifier or stable name.
          required: false
          schema:
            type: string
        - name: categorized
          in: query
          description: >-
            Filter transactions by whether they are categorized (single
            categorization, split transactions, or matched transactions) or not
            categorized (pending, under review, ready for input).
          required: false
          schema:
            type: boolean
        - name: merchant_name_filter
          in: query
          description: >-
            Substring to search for in merchant name. Only exact matches will be
            returned.
          required: false
          schema:
            type: string
        - name: merchant_name_filter_regex
          in: query
          description: >-
            Regex to search for in merchant name. Regex will be parsed exactly
            as given and an error will be returned if the regex is invalid.
          required: false
          schema:
            type: string
        - name: sort_by
          in: query
          description: >-
            Sort key used for pagination ordering. `name` corresponds to
            transaction description text (for Plaid, this is the Plaid
            transaction `name` field). Defaults to `date`.
          required: false
          schema:
            type: string
            enum:
              - date
              - amount
              - counterparty_name
              - name
            default: date
        - name: sort_order
          in: query
          description: >-
            Sort direction for `sort_by`. Use `ASC` or `DESC`. Defaults to
            `ASC`.
          required: false
          schema:
            type: string
            enum:
              - ASC
              - DESC
            default: ASC
        - name: external_ids
          in: query
          description: >-
            Comma-separated list of external transaction IDs (the upstream
            provider's identifier). Only transactions whose external ID matches
            one of the supplied values will be returned.
          required: false
          schema:
            type: string
        - name: counterparty_id
          in: query
          description: >-
            UUID of a bank transaction counterparty. Only transactions
            associated with this counterparty will be returned.
          required: false
          schema:
            type: string
            format: uuid
        - name: has_counterparty
          in: query
          description: >-
            If true, only transactions that have a counterparty assigned are
            returned. If false, only transactions without a counterparty are
            returned.
          required: false
          schema:
            type: boolean
        - name: q
          in: query
          description: >-
            General-purpose search query. The value is matched against
            transaction descriptions, and is also parsed for an optional signed
            amount (e.g. `+1234` to find inflows of $12.34, `-1234` to find
            outflows) and category names from the chart of accounts.
          required: false
          schema:
            type: string
        - name: tag_key
          in: query
          description: >-
            Tag key to filter transactions by. Must be supplied together with
            `tag_values`. Only transactions tagged with the given key/value pair
            will be returned.
          required: false
          schema:
            type: string
        - name: tag_values
          in: query
          description: >-
            Tag values to filter transactions by, paired with `tag_key`. Provide
            one or more values by repeating the query parameter (e.g.
            `tag_values=foo&tag_values=bar`). Required when `tag_key` is
            supplied.
          required: false
          schema:
            type: array
            items:
              type: string
          style: form
          explode: true
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ApiBankTransaction'
        '400':
          description: >-
            Invalid query or pagination parameters (for example unsupported
            `sort_by` or malformed filters).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: >-
            Business id is not found. This indicates the business id is invalid
            or the business has been archived.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    ApiBankTransaction:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the bank transaction.
        business_id:
          type: string
          format: uuid
          description: >-
            Unique identifier of the business the bank transaction is associated
            with.
        source:
          $ref: '#/components/schemas/TransactionSource'
          description: Source of the transaction.
        source_transaction_id:
          type: string
          description: >-
            External transaction ID from the source platform (e.g, Plaid
            transaction ID).
          example: g4DlKyjXqGH3Kp5XlaWMtwLRrE4Z9AiE8B4Ko
        source_account_id:
          type: string
          description: >-
            External account ID from the source platform (e.g, Plaid account
            ID).
          example: Aaoy8G7VXZHVeqNoL1GvcmkPdqpLRWi9NArdG
        imported_at:
          type: string
          format: date-time
          description: Timestamp when the transaction was imported.
        date:
          type: string
          format: date-time
          description: Date of the transaction.
        direction:
          $ref: '#/components/schemas/BankTransactionDirection'
          description: Direction of the transaction.
        amount:
          type: integer
          format: int64
          description: Transaction amount in cents.
        counterparty_name:
          type: string
          nullable: true
          description: Name of the transaction counterparty.
          example: WeWork
        description:
          type: string
          nullable: true
          description: Description of the transaction.
          example: WeWork monthly rent payment
        account_name:
          type: string
          nullable: true
          description: Name of the bank account.
          example: Plaid Checking
        categorizationStatus:
          $ref: '#/components/schemas/CategorizationStatus'
          description: The status of the transaction’s categorization in Layer’s systems.
        category:
          $ref: '#/components/schemas/ApiCategorization'
          description: >-
            The category assigned to the transaction. Only populated for
            transactions that have a finalized category.
        categorization_method:
          $ref: '#/components/schemas/ClassifierAgent'
          description: The method used to classify the transaction.
        projected_income_category:
          $ref: '#/components/schemas/ProjectedIncomeCategory'
        suggested_matches:
          type: array
          items:
            $ref: '#/components/schemas/ApiSuggestedMatch'
        match:
          $ref: '#/components/schemas/ApiMatch'
        transaction_tags:
          type: array
          items:
            $ref: '#/components/schemas/ApiTag'
        memo:
          type: string
          nullable: true
          description: >-
            Memo for any text you would like to associate with the bank
            transaction (for example, to display to end users).
        metadata:
          $ref: '#/components/schemas/PlatformDefinedJson'
          nullable: true
          description: Arbitrary custom metadata in JSON format with a size limit of 1KB.
        reference_number:
          type: string
          nullable: true
          description: >-
            Any (typically user-visible) identifier you would like to associate
            with the bank transaction. Can be used to filter when listing bank
            transactions.
    ApiError:
      type: object
      description: An error object returned in API error responses.
      properties:
        type:
          $ref: '#/components/schemas/ApiErrorType'
          description: >-
            A fixed category for the error, helpful for categorizing and
            processing errors.
        description:
          type: string
          description: A human-readable error description.
        error_enum:
          $ref: '#/components/schemas/ApiEnumErrorType'
          description: >-
            A stable, machine-readable identifier for programmatically handling
            specific error conditions. Only present for 4xx client errors—not
            included for 5xx server errors. Use this instead of parsing the
            description field, as enum values remain stable across API versions.
          nullable: true
        meta:
          type: object
          description: Optional additional information about the error.
          nullable: true
      required:
        - type
        - description
    TransactionSource:
      type: string
      enum:
        - UNIT
        - PLAID
        - API
        - STRIPE
        - CUSTOM
    BankTransactionDirection:
      type: string
      enum:
        - CREDIT
        - DEBIT
    CategorizationStatus:
      type: string
      enum:
        - PENDING
        - READY_FOR_INPUT
        - CATEGORIZED
        - SPLIT
        - LAYER_REVIEW
        - JOURNALING
        - MATCHED
    ApiCategorization:
      description: Base schema for categorization of API entities.
      oneOf:
        - $ref: '#/components/schemas/AccountCategorization'
          title: Account
        - $ref: '#/components/schemas/ExclusionCategorization'
          title: Exclusion
        - $ref: '#/components/schemas/SplitCategorization'
          title: Split
      discriminator:
        propertyName: type
        mapping:
          Account:
            $ref: '#/components/schemas/AccountCategorization'
          Exclusion:
            $ref: '#/components/schemas/ExclusionCategorization'
          Split_Categorization:
            $ref: '#/components/schemas/SplitCategorization'
    ClassifierAgent:
      type: string
      enum:
        - SMS
        - API
        - LAYER_AUTO
        - LAYER_MANUAL
    ProjectedIncomeCategory:
      type: string
      enum:
        - REVENUE
        - EXPENSE
        - EXCLUDE
    ApiSuggestedMatch:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Layer's identifier for the suggested match.
        matchType:
          $ref: '#/components/schemas/MatchType'
          description: Type of the matched object.
        details:
          $ref: '#/components/schemas/ApiMatchDetails'
          description: Details of the suggested match.
    ApiMatch:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Layer's UUID for the match.
        match_type:
          $ref: '#/components/schemas/MatchType'
          description: Type of the object to match.
        bank_transaction:
          $ref: '#/components/schemas/ApiBankTransactionInterface'
        details:
          $ref: '#/components/schemas/ApiMatchDetails'
    ApiTag:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: ID for the tag.
        key:
          type: string
          description: Key for the tag.
          example: ExampleTagKey
        dimension_display_name:
          type: string
          nullable: true
          description: Display name for the tag dimension.
        value:
          type: string
          description: Value for the tag.
          example: ExampleTagValue
        value_display_name:
          type: string
          nullable: true
          description: Display name for the tag value definition.
        dimension_id:
          type: string
          format: uuid
          description: ID of the tag dimension this tag belongs to.
        definition_id:
          type: string
          format: uuid
          description: ID of the tag value definition.
        archived_at:
          type: string
          format: date-time
          nullable: true
          description: When the tag was archived.
      required:
        - id
        - key
        - value
        - dimension_id
        - definition_id
    PlatformDefinedJson:
      type: object
      description: Arbitrary JSON data defined by the caller, with a 1KB size constraint.
      additionalProperties: true
      example:
        custom_field: value
        any valid json: below 1kb
        nested:
          meaning of life: 42
          array: []
    ApiErrorType:
      type: string
      enum:
        - ResourceArchived
        - AuthFailure
        - Plaid
        - Stripe
        - InvalidState
        - ResourceNotFound
        - InvalidParameters
        - JsonSerialization
        - Unknown
        - BadRequest
        - PaginationCursor
        - Conflict
        - LedgerOperationFailed
    ApiEnumErrorType:
      type: string
      description: >-
        Stable enum values for programmatic error handling. Only present in 4xx
        error responses.
      enum:
        - AccessCodeInvalid
        - BalanceSheetDoesNotBalance
        - BalanceSheetMissingAccount
        - BankStatementParserError
        - BillStateError
        - BulkCategorizeFailure
        - BulkMatchFailure
        - BusinessTaskAlreadyCompleted
        - BusinessTaskDeleted
        - CalendlyOAuthError
        - CallBookingError
        - CantUpdateTransactionInCustomerPayout
        - CantUpdateTransactionInVendorPayout
        - CheckPayrollConfigNotFound
        - CheckPayrollServiceNotFound
        - ClerkUserAlreadyExists
        - ConflictingQueryParams
        - CustomAccountAlreadyExists
        - CustomTransactionCsvParsingError
        - CustomTransactionUploadFailure
        - CustomerPayoutInputFormatError
        - DoesNotMatchExistingEntity
        - EmptyBatchRequest
        - ExpenseParserError
        - ExternalAccountBalanceReconciliationError
        - ExternalIdConflict
        - InvalidCategory
        - InvalidEffectiveDate
        - InvalidLedgerOperation
        - InvalidMonthlyAverageRange
        - InvalidMultiPartRequest
        - InvalidPaginationCursor
        - InvalidPayload
        - InvoiceDeleted
        - InvoiceNotFound
        - InvoiceReferenceMismatch
        - InvoiceStateError
        - ManualRateLimit
        - MultipleTagKeyFiltersUnsupported
        - NoCognitoUserFound
        - NoOpeningBalanceFound
        - NotYetReconciled
        - OnePasswordApiError
        - OnePasswordItemNotFound
        - OnePasswordVaultNotFound
        - OpenAICategorizationError
        - PaymentLinkInvalid
        - PayrollStateError
        - PeriodIsClosed
        - PeriodNotClosed
        - PhoneNumberAlreadyRegistered
        - PlaidApiError
        - PlaidConnectionBroken
        - PlaidCreateLinkTokenError
        - PlaidCredentialsNotConfigured
        - PlaidExchangePublicTokenError
        - PlaidGetInstitutionByIdError
        - PlaidGetItemError
        - PlaidInvalidEnvironment
        - PlaidItemAlreadyExists
        - PlaidItemNotFound
        - PlaidProcessorApiError
        - PlaidUnlinkItemError
        - QueryParamFormat
        - QueryParamMissing
        - QuickbooksBrokenConnection
        - QuickbooksConnectionAlreadyExists
        - QuickbooksConnectionAlreadySyncing
        - QuickbooksConnectionMissing
        - QuickbooksConnectionNotActivated
        - QuickbooksInvalidRequest
        - QuickbooksInvalidState
        - QuickbooksNoMatchingAccount
        - QuickbooksNonPostingAccountType
        - QuickbooksNotConfigured
        - QuickbooksOAuthCallbackInvalid
        - QuickbooksOAuthError
        - QuickbooksTokenExpired
        - ResourceArchived
        - ScheduleCNotConfigured
        - SmsNotEnabled
        - SpecifiedBadRequest
        - SpecifiedIdNotFound
        - SplitTransactionError
        - StepEvaluationBadRequest
        - StripeConnectAccountIdNotFound
        - StripeCredentialsNotConfigured
        - StripeGetBalanceForConnectAccountFailure
        - StripeRedirectOrRefreshUrlNotConfigured
        - TagFilterNotFound
        - UnexpectedQueryParam
        - UnitAccountsInUse
        - WrongAnswerType
    AccountCategorization:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The ID of the Account.
        stable_name:
          type: string
          nullable: true
          description: The stable name for the account.
          example: RENT
        category:
          type: string
          description: The account ID or stable name, whichever is present.
          example: RENT
        display_name:
          type: string
          description: The display name for the account.
          example: Rent
      required:
        - id
        - category
        - display_name
    ExclusionCategorization:
      type: object
      properties:
        id:
          type: string
          description: The ID of the exclusion type.
          enum:
            - PERSONAL_EXPENSES
            - PERSONAL_INFLOWS
            - DUPLICATE_TRANSACTION
            - OTHER_EXCLUSION
        category:
          type: string
          description: The category of the exclusion type.
          enum:
            - PERSONAL_EXPENSES
            - PERSONAL_INFLOWS
            - DUPLICATE_TRANSACTION
            - OTHER_EXCLUSION
        display_name:
          type: string
          description: The display name of the exclusion type.
          enum:
            - Personal spending
            - Personal income sources
            - Duplicate transaction
            - Other exclusion
      required:
        - id
        - category
        - display_name
    SplitCategorization:
      type: object
      properties:
        entries:
          type: array
          items:
            $ref: '#/components/schemas/SplitCategorizationEntry'
      required:
        - entries
    MatchType:
      type: string
      enum:
        - TRANSFER
        - INVOICE_PAYMENT
        - PAYOUT
    ApiMatchDetails:
      type: object
      required:
        - id
        - amount
        - date
      properties:
        id:
          type: string
          format: uuid
          description: Layer's ID for the match.
        amount:
          type: integer
          format: int64
          description: Monetary amount of the matched transaction, in cents.
        date:
          type: string
          format: date-time
          description: Date that the matched transaction occurred.
        description:
          type: string
          nullable: true
          description: Description of the match.
          example: Transfer from SavingsAccount to CheckingAccount
    ApiBankTransactionInterface:
      type: object
      required:
        - id
        - amount
        - date
      properties:
        id:
          type: string
          format: uuid
          description: Layer's UUID for the bank transaction.
        business_id:
          type: string
          format: uuid
          description: UUID of the business the transaction is for.
        source:
          $ref: '#/components/schemas/TransactionSource'
          description: Source of the bank transaction.
        source_transaction_id:
          type: string
          description: >-
            External transaction ID from the source platform (e.g, Plaid
            transaction ID).
          example: g4DlKyjXqGH3Kp5XlaWMtwLRrE4Z9AiE8B4Ko
        source_account_id:
          type: string
          description: >-
            External account ID from the source platform (e.g, Plaid account
            ID).
          example: Aaoy8G7VXZHVeqNoL1GvcmkPdqpLRWi9NArdG
        imported_at:
          type: string
          format: date-time
          description: Timestamp when the transaction was imported.
        date:
          type: string
          format: date-time
          description: Timestamp when the transaction was created.
        direction:
          $ref: '#/components/schemas/BankTransactionDirection'
          description: Direction of the transaction.
        amount:
          type: integer
          format: int64
          description: Amount of the transaction, in cents.
        counterparty_name:
          type: string
          nullable: true
          description: Name of the transaction counterparty.
          example: WeWork
        description:
          type: string
          nullable: true
          description: Description of the transaction.
          example: WeWork monthly rent payment
        account_name:
          type: string
          nullable: true
          description: Name of the bank account.
          example: Plaid Checking
        categorizationStatus:
          $ref: '#/components/schemas/CategorizationStatus'
          description: The status of the transaction’s categorization in Layer’s systems.
        memo:
          type: string
          nullable: true
          description: >-
            Memo for any text you would like to associate with the bank
            transaction (for example, to display to end users).
        metadata:
          $ref: '#/components/schemas/PlatformDefinedJson'
          nullable: true
          description: Arbitrary custom metadata in JSON format with a size limit of 1KB.
        reference_number:
          type: string
          nullable: true
          description: >-
            Any (typically user-visible) identifier you would like to associate
            with the bank transaction. Can be used to filter when listing bank
            transactions.
    SplitCategorizationEntry:
      type: object
      properties:
        amount:
          type: integer
          format: int64
          description: Amount of the parent transaction for this split entry.
        category:
          description: >-
            Category for this split entry. May be an account categorization or
            an exclusion categorization.
          oneOf:
            - $ref: '#/components/schemas/AccountCategorization'
              title: Account
            - $ref: '#/components/schemas/ExclusionCategorization'
              title: Exclusion
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````